API referenceIncidents
Get an incident
Fetches one incident with its attached monitors and the 20 newest state transitions.
Authorization
bearerAuth AuthorizationBearer <token>
An uptimely_live_ project API key (Settings → API Keys).
In: header
Path Parameters
incident_id*string
Incident id.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/incidents/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "string", "number": 0, "title": "string", "description": "string", "state": { "name": "string", "color": "string", "is_resolved": true }, "severity": { "name": "string", "color": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "monitors": [ { "id": "string", "name": "string", "monitor_type": "string" } ], "state_timeline": [ { "state": { "name": "string", "color": "string" }, "created_at": "2019-08-24T14:15:22Z" } ]}